﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * A gene represents a building block from which chromosomes, i.e., solutions
     * to problems are constructed.
     *
     * @author Tomas Tunys
     */
    public interface IGene : ICloneable
    {
        /**
        * Sets the value (so called daughterAllele) of the gene to the specified value.
        *
        * @param value The new value of the gene.
        */
        void setAllele(Object value) ;

        /**
        * Returns the value of the gene.
         * 
        * @return The value of the gene.
        */
        object getAllele() ;
    }
}
