﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * An public interface providing a method to determine
     * the distance between a pair of give genes.
     */
    public interface IGeneDistanceMeasurer
    {
        /**
         * Returns the distance between the specified pair of
         * genes. The genes are supposed to represent vertices
         * of a graph and this method shall return the "length"
         * of the edge denoted by these genes.
         * 
         * @param x The first gene.
         * @param y The second gene.
         * 
         * @return The distance between the specified
         *         pair of genes.
         */
        double distance(IGene x, IGene y) ;
    }
}
