﻿namespace MCScheduling.SimulatedAnnealing
{
    /**
     * Defines an evaluator that is used to evaluate 
     * states throughout the optimization process of 
     * simulated annealing.
     * 
     * @param T The data type representing a state.
     * 
     * @author Tomas Tunys
     */
    public interface IEvaluator<T>
    {
        /**
         * Evaluates the specified state.
         * 
         * @param state The state to evaluate.
         * 
         * @return The evaluation (energy) of
         *         the specified state.
         */
        double Evaluate(T state) ;
    }
}
